import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import oracle.html.*;

public class dtable extends HttpServlet {
  public void doGet(HttpServletRequest req, HttpServletResponse res)
           throws ServletException, IOException {
    doPost(req,res);
  }
  public void doPost(HttpServletRequest req, HttpServletResponse res)
           throws ServletException, IOException {

    int MAXNUM = 10;

    PrintWriter out = res.getWriter();
    res.setContentType("text/html");

    HtmlHead hd = new HtmlHead("Dynamic Table Demo");
    HtmlBody bd = new HtmlBody();
    HtmlPage hp = new HtmlPage(hd, bd);

    DynamicTable tab = new DynamicTable(2);
    tab.setBorder(2);
    TableRow row = new TableRow();

    row.addCell(new TableHeaderCell("I"))
       .addCell(new TableHeaderCell("I-SQUARED"));
    tab.addRow(row);       
    for (int i=1; i< MAXNUM; i++) {
      row = new TableRow();
      row.addCell(new TableDataCell(""+i))
         .addCell(new TableDataCell(""+i*i));
      tab.addRow(row);
    }

    bd.addItem(tab);

    out.println(hp);
    out.close();
 }
}
