create or replace procedure flexParameters(
   num_entries  IN NUMBER,
   name_array   IN OWA.vc_arr,
   value_array  IN OWA.vc_arr,
   reserved     IN OWA.vc_arr) AS
ct      INTEGER;
BEGIN
  htp.htmlopen;
  htp.headopen;
  htp.title('Dynamic Parameters');
  htp.headclose;
  htp.bodyopen;
  htp.header(1, 'Dynamic Parameters');
  for ct in 1..num_entries loop
    htp.print(name_array(ct)||'='||value_array(ct));
    htp.br;
    htp.br;
  end loop;
  htp.bodyClose;
  htp.htmlClose;
Exception
  when others then
    htp.print('Error in flexParameters');
end multi;
/
show errors
