import java.io.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ProcessUpdateProfile extends HttpServlet { 

  public static Connection conn;
  public static Statement stmt;

  public void doGet (HttpServletRequest request,
                     HttpServletResponse response)
        throws ServletException, IOException {
 
    doPost(request, response);
  }
  
  public void doPost (HttpServletRequest request,
                     HttpServletResponse response)
        throws ServletException, IOException {
 
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();

    String cno[] = request.getParameterValues("customerId");
    String uAccess[] = request.getParameterValues("uAccess");

    try {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    } catch(ClassNotFoundException e){
        out.println("Error loading the Driver:"+e.getMessage());
        return;
      }

    Connection conn = null;

    try {
      conn = DriverManager.getConnection (
         MyUtilities.CONNECTSTRING,MyUtilities.ID,MyUtilities.PASSWORD);
    } catch (SQLException e1) {
        out.println("Error connecting to Oracle:"+e1.getMessage());
        return;
      }
    if (conn == null) {
      out.println("Null Connection");
      return;
    }
    Statement stmt = null;
    try {
      stmt = conn.createStatement ();
    } catch (SQLException e) {
        out.println("createStatement " + e.getMessage());
        try {conn.close();} catch (SQLException e2) {};
        return;
      }

    ResultSet rset = null;

    String query0 = "select u_access from customers where cno='"+ cno[0]+"'";
    try {
        rset = stmt.executeQuery(query0);
    } catch (SQLException e) {
        out.println("executeQuery " + e.getMessage());
        return;
      }
    try {
      if (!(rset.next())) {
        out.println("1You are not authorized to access this page");
        return;
      }
      else if (!(uAccess[0].equals(rset.getString(1)))) {
          out.println("2You are not authorized to access this page");
          return;
        }
      else { // everything is fine
        String sTrack = "select 1440*(sysdate-l_access) from customers where cno='" + cno[0] + "'";
        rset = stmt.executeQuery(sTrack);
        rset.next();
        if (rset.getDouble(1) > 10.0) {
                      out.println("<html>");
            out.println("  <head>");
            out.println("    <title>Logout Page</title>");
            out.println("  </head>");
            out.println("  <body>");

            int nRows = stmt.executeUpdate("update customers set u_access = null where cno='" + cno[0] + "'");
            out.println("Your session has expired!<BR> Please Login again to continue shopping.");
            out.println("</center>");
            out.println("</body>");
            out.println("</html>");
            return;
         }

         int nRows = stmt.executeUpdate("update customers set l_access = sysdate where cno='" + cno[0] + "'");
                               

        String cname[] = request.getParameterValues("cname");
        String street[] = request.getParameterValues("street");
        String city[] = request.getParameterValues("city");
        String state[] = request.getParameterValues("state");
        String zip[] = request.getParameterValues("zip");
        String phone[] = request.getParameterValues("phone");
        String email[] = request.getParameterValues("email");
        String password[] = request.getParameterValues("password");

        out.println("<html><head><title>Customer Menu</title></head>");
        out.println("<body>");


        String update = "update customers set cname = '" +  cname[0] +  "'," +
                          " street = '" + street[0] + "'," +
                          " city = '" + city[0] + "'," +
                          " state  = '" + state[0] + "'," +
                          " zip  = '" + zip[0] + "'," +
                          " phone  = '" + phone[0] + "'," +
                          " email = '" + email[0] + "'," +
                          " password = '" + password[0] + "'" +
                        " where cno = '" + cno[0] + "'";

        stmt.executeUpdate(update);
        out.println("Updated successfully ");
      }
    } catch (SQLException e) {
        out.println("executeQuery3 " + e.getMessage());
        return;
      }                                                           

     try {
       stmt.close();
       conn.close();
      } catch (SQLException e) {
        }

    out.println("</body>");
    out.println("</html>");
    out.close();

  }

   public String getServletInfo() {
    return "This Servlet processes ProcessUpdateProfile ";
  }

}                                              
