import java.io.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class WSMenu extends HttpServlet {
    
  public static Connection conn;
  public static Statement stmt;     

  public void doGet (HttpServletRequest request,
                     HttpServletResponse response)
      throws ServletException, IOException {

    doPost(request,response);
  }

  public void doPost (HttpServletRequest request,
                     HttpServletResponse response)
      throws ServletException, IOException {

	response.setContentType("text/html");
	PrintWriter out = response.getWriter();

    String cno[] = request.getParameterValues("customerId");
    String uAccess[] = request.getParameterValues("uAccess");

    try {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    } catch(ClassNotFoundException e){
        out.println("Error loading the Driver:"+e.getMessage());
        return;
      }

    Connection conn = null;

    try {
      conn = DriverManager.getConnection (
        MyUtilities.CONNECTSTRING,MyUtilities.ID,MyUtilities.PASSWORD); 
    } catch (SQLException e1) {                                            
        out.println("Error connecting to Oracle:"+e1.getMessage());
        return;
      }
    if (conn == null) {
      out.println("Null Connection");
      return;
    }

    Statement stmt = null;
    try {
      stmt = conn.createStatement ();
    } catch (SQLException e) {
        out.println("createStatement " + e.getMessage());
        try {conn.close();} catch (SQLException e2) {};
        return;
      }

    ResultSet rset = null;

//    String query = "select cartno from cart where cno='"+cno[0]+"'";
//    try {
//        rset = stmt.executeQuery(query);                         
//    } catch (SQLException e) {
//        out.println("executeQuery " + e.getMessage());
//        return;
//      }
//    boolean hasCart = false;
//    try {
//      if (rset.next()) {
//          hasCart = true;                                            
//      }
//     } catch (SQLException e) {
//       }

    out.println("<html>");
    out.println("  <head><title>Customer Menu");
    out.println("  </title><base target=\"view_window\"></head>");
    out.println("  <body>");
    out.println("<P><h4>Customer Menu</h4><P>");
    out.println("<a href=\""+MyUtilities.URLPREFIX+"CheckOut?customerId="+ cno[0] + "&uAccess=" + uAccess[0]+ "\">CheckOut</a><BR><BR>");
    out.println("<a href=\""+MyUtilities.URLPREFIX+"CheckOrderStatus?customerId="+ cno[0]  + "&uAccess=" + uAccess[0]+ "\">Check Order Status</a><BR><BR>");
    out.println("<a href=\""+MyUtilities.URLPREFIX+"UpdateProfile?customerId="+ cno[0]  + "&uAccess=" + uAccess[0]+ "\">Update Profile</a><BR><BR>");
      out.println("<a href=\""+MyUtilities.URLPREFIX+"ViewAndEditCart?customerId="+ cno[0] + "&uAccess=" + uAccess[0]+ "\">View/Edit Cart</a><BR><BR>");
    out.println("<a href=\""+MyUtilities.URLPREFIX+"Logout?customerId="+ cno[0] + "&uAccess=" + uAccess[0]+ "\">Logout</a>");
    
    out.println("<BR><BR><BR><BR>");
   
    out.println("<center>"); 
    out.println("<form method=\"POST\" action=\""+MyUtilities.URLPREFIX+"SearchParts\">");
    out.println("<B>Search by Keyword</B><BR>");
    out.println("<input type=\"text\" name=\"keyword\" size=10 maxlength=50>");
    out.println("<input type=\"hidden\" name=\"customerId\" value=\""+cno[0]+"\">"); 
    out.println("<input type=\"hidden\" name=\"uAccess\" value=\""+uAccess[0]+"\">"); 
    out.println("<input type=\"submit\" value=\"Find\">");
    out.println("</form>");                                         
    out.println("</center>"); 
    out.println("  </body>");
    out.println("</html>");                      

	out.close();
  }
    
    
  public String getServletInfo() {
    return "This Servlet generates Member Menu";
  }
    
    
}

