import oracle.jdbc.driver.*;
import oracle.xml.sql.query.OracleXMLQuery;
import java.lang.*;
import java.sql.*;
import org.w3c.dom.*;
import oracle.xml.parser.v2.*;

public class xsuGetDom {
  public static void main(String[] argv) throws SQLException, XSLException {
    try {
      Class.forName ("oracle.jdbc.driver.OracleDriver");
    } catch (ClassNotFoundException e) {
        System.out.println ("Could not load the driver");
        return;
      }
    Connection conn =
        DriverManager.getConnection(
          "jdbc:oracle:thin:@tinman.cs.gsu.edu:1521:sid9ir2",
          "book","book");

    // Create the query class.
    OracleXMLQuery qry = new OracleXMLQuery(conn, "select * from cat");

    // Get the XML string
    XMLDocument doc = (XMLDocument) qry.getXMLDOM();

    NodeList tl = doc.getElementsByTagName("ROW");
    int len = tl.getLength();

    // Set up loop to process each ROW node
    for (int j=0; j < len; j++) {
        // extract jth ROW item from list and extract
        // table name value.
        XMLNode e = (XMLNode) tl.item(j);
        String tname = e.valueOf("TABLE_NAME"); 
        System.out.println("Table Name = "+tname);
    }
    qry.close();
    conn.close();
  }
}
